### Function

# GObject enum_get_value_by_nick

#### Declaration

    GEnumValue*
    g_enum_get_value_by_nick (
      GEnumClass* enum_class,
      const gchar* nick
    )

#### Description

Looks up a `GEnumValue` by nickname.

#### Parameters

`enum_class`

  Type: `GEnumClass`

  A `GEnumClass`.

  The data is owned by the caller of the function.

`nick`

  Type: `const gchar*`

  The nickname to look up.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GEnumValue`

The `GEnumValue` with nickname `nick`, or `NULL` if the enumeration doesn’t have a member with that nickname.

The data is owned by the called function.
The return value can be `NULL`.